type: prog

uuid: 00009103-0f33-0304-2022-000500000001

titre: Les boucles While

niveau: Débutant

description: Apprendre à utiliser la boucle While.

énoncé: |
  Vous devez créer une boucle (en utilisant l'instruction while) qui utilisera le paramètre `Index`.  À l'intérieur de la boucle While vous remarquerez que la valeur de l'index est diminuée de `1` à chaque itération.  Rappel: une itération est un passage dans la boucle.  Donc si la boucle fait 3 itérations, cela veut dire que le code à l'intérieur de la boucle a été exécuté 3 fois.  Dans notre exercice, la boucle affiche à l'écran le nom des super héros en ordre inverse.  Par exemple, si l'index est 2, vous obtiendrez `Spiderman Captain America`.  Notez que la boucle while vérifie la condition avant d'exécuter les itérations.  Donc avec une boucle while il y aura 0 itérations ou plus.

  À faire :

  1. Compléter script pour remplacer les `??` par la condition qui permettra de stopper la boucle lorsque l'index est inférieur à 0.
  2. Étudier attentivement la syntaxe de la boucle While.  Au-delà de réussir l'exercice, il faut avant tout comprendre ce qu'on fait.  C'est essentiel même dans le profil Réseautique car les notions de scripting sont utilisés dans les cours 420-H43 et 420-H34.
  3. Exécuter le script et corriger les erreurs s'il y a lieu.

  indice: Pour cet exercice, référez-vous au WikiBook [Boucle While](https://linuxize.com/post/bash-while-loop/).

ébauches:
    bash: !include exec.bash

rétroactions:
    positive: Bravo! tu as réussi à utiliser une boucle while!
    négative: Faites une recherche sur le web pour trouver des informations sur les boucles `while` dans Bash.

tests: !include tests.yml

auteur: Gilles Lacasse
licence: 2022 CC-BY-SA
